Bug 926122

Summary: maxima: Does not support aarch64 in f19 and rawhide
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: maximaAssignee: Rex Dieter <rdieter>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, mjuszkie, rdieter
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 15.08.2-1.fc23 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-24 05:12:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 922257    

Description Dennis Gilmore 2013-03-23 15:27:03 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  maxima appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/maxima/maxima-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Marcin Juszkiewicz 2014-10-03 10:26:51 UTC
needs sbcl

Comment 2 Jan Kurik 2015-07-15 14:49:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Rex Dieter 2015-09-14 14:37:57 UTC
Not sbcl specifically, but any lisp compiler, of those maxima currently supports, looks like only gcl supports aarch64 at the moment.  I'll add it.

Comment 4 Rex Dieter 2015-09-14 14:40:07 UTC
Oh, and ecl is doable too

Comment 5 Fedora Update System 2015-09-15 06:36:15 UTC
wxMaxima-15.08.2-1.fc23 maxima-5.37.1-2.fc23 sbcl-1.2.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15868

Comment 6 Fedora Update System 2015-09-15 16:50:36 UTC
maxima-5.37.1-2.fc23, sbcl-1.2.15-1.fc23, wxMaxima-15.08.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update sbcl maxima wxMaxima'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15868

Comment 7 Fedora Update System 2015-09-24 05:12:48 UTC
maxima-5.37.1-2.fc23, sbcl-1.2.15-1.fc23, wxMaxima-15.08.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.